export const templatedDegOpt = ["0", "45", "90", "135", "180", "225", "270", "315"]
export const templatedHSOpt = ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "15", "20", "25", "30"]
export const templatedVSOpt = ["0", "1", "2", "3", "4", "5"]

export const templatedVSForDropOpt = ["0", "0.1", "0.2", "0.3", "0.4", "0.5", "0.6", "0.7", "0.8", "0.9", "1"]
export const templatedMCForDropOpt = ["1", "2", "3", "4", "5"]
export const templatedTIForDropOpt = ["5", "10", "20"]

export const defaultDegrees = 0

export const defaultPushViewDirection = 0

export const defaultDegreesForDrop = 0
export const defaultHS = 1.0
export const defaultVS = 1.0

export const defaultMaxImpulseCount = 1.0
export const defaultTickInterval = 10.0
export const defaultVSForDrop = 0

export const defaultFirstTypeParticleId = -1
export const defaultSecondTypeParticleId = -1
export const defaultThirdTypeParticleId = -1

export const defaultFallDamageStatus = 0

const firstTypeParticles = {
    "Fire": {id: "vf_jp:fire_jump_main", iconPath: "textures/vf/jp/ui_icons/icon_fire"},
    "Snow": {id: "vf_jp:snow_jump_main", iconPath: "textures/vf/jp/ui_icons/icon_snow"},
    "Sparkles": {id: "vf_jp:sparkles_jump_main", iconPath: "textures/vf/jp/ui_icons/icon_sparkles"},
    "Magic": {id: "vf_jp:magic_jump_main", iconPath: "textures/vf/jp/ui_icons/icon_magic"},
    "Love": {id: "vf_jp:love_jump_main", iconPath: "textures/vf/jp/ui_icons/icon_love"},
    "Stars": {id: "vf_jp:star_jump_main", iconPath: "textures/vf/jp/ui_icons/icon_stars"},
    "Matrix": {id: "vf_jp:matrix_jump_main", iconPath: "textures/vf/jp/ui_icons/icon_matrix"}
}
export const firstTypeParticlesKeys = Object.keys(firstTypeParticles);
export const firstTypeParticlesValues = Object.values(firstTypeParticles);

const secondTypeParticles = {
//sets
    "Fire": {id: "vf_jp:fire_trail_main", iconPath: "textures/vf/jp/ui_icons/icon_fire", frequency: 2},
    "Snow": {id: "vf_jp:snow_trail_main", iconPath: "textures/vf/jp/ui_icons/icon_snow", frequency: 1},
    "Sparkles": {id: "vf_jp:sparkles_trail_main", iconPath: "textures/vf/jp/ui_icons/icon_sparkles", frequency: 2},
    "Magic": {id: "vf_jp:magic_trail_main", iconPath: "textures/vf/jp/ui_icons/icon_magic", frequency: 2},
    "Love": {id: "vf_jp:love_trail_main", iconPath: "textures/vf/jp/ui_icons/icon_love", frequency: 2},
    "Stars": {id: "vf_jp:star_trail_main", iconPath: "textures/vf/jp/ui_icons/icon_stars", frequency: 2},
    "Matrix": {id: "vf_jp:matrix_trail_main", iconPath: "textures/vf/jp/ui_icons/icon_matrix", frequency: 1},
// aura particles
    "Disco": {id: "vf_jp:dancing_main", iconPath: "textures/vf/jp/ui_icons/icon_disco", frequency: 10},
    "S.G.A.": {id: "vf_jp:sga", iconPath: "textures/vf/jp/ui_icons/icon_sga", colored: true, frequency: 2},
    "Gold Hearts": {id: "vf_jp:gold_hearts_main", iconPath: "textures/vf/jp/ui_icons/icon_gold_hearts", frequency: 10},
    "Cakes": {id: "vf_jp:cakes_main", iconPath: "textures/vf/jp/ui_icons/icon_cakes", frequency: 40},
    "Cookies": {id: "vf_jp:cookies_main", iconPath: "textures/vf/jp/ui_icons/icon_cookies", frequency: 10},
    "Coins": {id: "vf_jp:coins_main", iconPath: "textures/vf/jp/ui_icons/icon_coins", frequency: 7},
    "Treasure": {id: "vf_jp:treasure_main", iconPath: "textures/vf/jp/ui_icons/icon_treasure", frequency: 10},
    "Dynos": {id: "vf_jp:dynos_main", iconPath: "textures/vf/jp/ui_icons/icon_dynos", colored: true, frequency: 10},
    "Starry sky (near)": {id: "vf_jp:starry_sky_near_main", iconPath: "textures/vf/jp/ui_icons/icon_starry_night_normal", frequency: 10},
    "Starry sky (far)": {id: "vf_jp:starry_sky_far_main", iconPath: "textures/vf/jp/ui_icons/icon_starry_night_huge", frequency: 5},
    "Accumulate": {id: "vf_jp:accumulate_main", iconPath: "textures/vf/jp/ui_icons/icon_accumulate", colored: true,  frequency: 6},
    "Barriers (massive)": {id: "vf_jp:barriers_massive_main", iconPath: "textures/vf/jp/ui_icons/icon_barrier_massive", frequency: 2},
    "Barriers (normal)": {id: "vf_jp:barriers_normal_main", iconPath: "textures/vf/jp/ui_icons/icon_barrier_normal", frequency: 10},
    "Cats": {id: "vf_jp:cats_main", iconPath: "textures/vf/jp/ui_icons/icon_cats", colored: true, frequency: 10},
    "Concentrate": {id: "vf_jp:concentrate_main", iconPath: "textures/vf/jp/ui_icons/icon_concentrate", frequency: 5},
    "Ender glow": {id: "vf_jp:ender_glow_main", iconPath: "textures/vf/jp/ui_icons/icon_ender_glow", frequency: 10},
    "Fireflies": {id: "vf_jp:fireflies_main", iconPath: "textures/vf/jp/ui_icons/icon_fireflies", frequency: 2},
    "Fireworks type 1": {id: "vf_jp:fireworks_type_1_main", iconPath: "textures/vf/jp/ui_icons/icon_fireworks_1", frequency: 30},
    "Fireworks type 2": {id: "vf_jp:fireworks_type_2_main", iconPath: "textures/vf/jp/ui_icons/icon_fireworks_2", frequency: 40},
    "Formulas": {id: "vf_jp:formulas_main", iconPath: "textures/vf/jp/ui_icons/icon_formulas", frequency: 15},
    "Fried meat": {id: "vf_jp:fried_meat_main", iconPath: "textures/vf/jp/ui_icons/icon_fried_meat", frequency: 20},
    "Glitter": {id: "vf_jp:glitter_main", iconPath: "textures/vf/jp/ui_icons/icon_glitter", frequency: 10},
    "Glitter rain": {id: "vf_jp:glitter_rain_main", iconPath: "textures/vf/jp/ui_icons/icon_glitter_rain", frequency: 10},
    "Gaps": {id: "vf_jp:gaps_main", iconPath: "textures/vf/jp/ui_icons/icon_gaps", frequency: 2},
    "Meteors": {id: "vf_jp:meteors_main", iconPath: "textures/vf/jp/ui_icons/icon_meteors", frequency: 30},
    "Mushrooms": {id: "vf_jp:mushrooms_main", iconPath: "textures/vf/jp/ui_icons/icon_mushrooms", frequency: 10},
    "Mystic Dust": {id: "vf_jp:mystic_dust_main", iconPath: "textures/vf/jp/ui_icons/icon_mystic_dust", colored: true, frequency: 20},
    "Rain": {id: "vf_jp:rain_main", iconPath: "textures/vf/jp/ui_icons/icon_rain", frequency: 2},
    "Spores": {id: "vf_jp:spore_main", iconPath: "textures/vf/jp/ui_icons/icon_spores", frequency: 3},
    "TNT drops": {id: "vf_jp:tnt_main", iconPath: "textures/vf/jp/ui_icons/icon_tnt", frequency: 4},
//auras with variations
    //energy
    "Blue energy": {id: "vf_jp:energy_blue_main", iconPath: "textures/vf/jp/ui_icons/icon_energy_blue", frequency: 15},
    "Green energy": {id: "vf_jp:energy_green_main", iconPath: "textures/vf/jp/ui_icons/icon_energy_green", frequency: 15},
    "Purple energy": {id: "vf_jp:energy_purple_main", iconPath: "textures/vf/jp/ui_icons/icon_energy_purple", frequency: 15},
    "Red energy": {id: "vf_jp:energy_red_main", iconPath: "textures/vf/jp/ui_icons/icon_energy_red", frequency: 15},
    "Yellow energy": {id: "vf_jp:energy_yellow_main", iconPath: "textures/vf/jp/ui_icons/icon_energy_yellow", frequency: 15},
// head particles
    //lava lamp (with variations)
    "Blue Lava Lamp": {id: "vf_jp:lavalamp_blue_main", iconPath: "textures/vf/jp/ui_icons/icon_lavalamp_blue", frequency: 35},
    "Green Lava Lamp": {id: "vf_jp:lavalamp_green_main", iconPath: "textures/vf/jp/ui_icons/icon_lavalamp_green", frequency: 35},
    "Orange Lava Lamp": {id: "vf_jp:lavalamp_orange_main", iconPath: "textures/vf/jp/ui_icons/icon_lavalamp_orange", frequency: 40},
    "Purple Lava Lamp": {id: "vf_jp:lavalamp_purple_main", iconPath: "textures/vf/jp/ui_icons/icon_lavalamp_purple", frequency: 40},
    "Red Lava Lamp": {id: "vf_jp:lavalamp_red_main", iconPath: "textures/vf/jp/ui_icons/icon_lavalamp_red", frequency: 40},
    "Yellow Lava Lamp": {id: "vf_jp:lavalamp_yellow_main", iconPath: "textures/vf/jp/ui_icons/icon_lavalamp_yellow", frequency: 40},
    //Glowing crowns (with variations)
    "Blue Glowing crown": {id: "vf_jp:glowing_crown_blue", iconPath: "textures/vf/jp/ui_icons/icon_blue_gc", frequency: 2},
    "Green Glowing crown": {id: "vf_jp:glowing_crown_green_and_blue", iconPath: "textures/vf/jp/ui_icons/icon_green_gc", frequency: 2},
    "Purple Glowing crown": {id: "vf_jp:glowing_crown_purple", iconPath: "textures/vf/jp/ui_icons/icon_purple_gc", frequency: 2},
    "Orange Glowing crown": {id: "vf_jp:glowing_crown_red", iconPath: "textures/vf/jp/ui_icons/icon_orange_gc", frequency: 2},
    //other
    "Fairy": {id: "vf_jp:fairy_main", iconPath: "textures/vf/jp/ui_icons/icon_fairy", frequency: 1},
    "Hearts": {id: "vf_jp:hearts_main", iconPath: "textures/vf/jp/ui_icons/icon_hearts", frequency: 3},
// underfoot particles
    "Water splashes": {id: "vf_jp:water_steps_main", iconPath: "textures/vf/jp/ui_icons/icon_water_steps", frequency: 2},
    "SGA steps": {id: "vf_jp:sga_steps_main", iconPath: "textures/vf/jp/ui_icons/icon_sga_steps", colored: true,  frequency:3},
//trails
    // flower leaves trails
    "Azalea leaves": {id: "vf_jp:azalea_main", iconPath: "textures/vf/jp/ui_icons/icon_azalea_leaves", colored: true, frequency: 5},
    "Dandelion leaves": {id: "vf_jp:azalea_main", iconPath: "textures/vf/jp/ui_icons/icon_dandelion_leaves", colored: true, frequency: 5},
    "Rose leaves": {id: "vf_jp:rose_main", iconPath: "textures/vf/jp/ui_icons/icon_rose_leaves", colored: true, frequency: 5},
    "Tulip leaves": {id: "vf_jp:tulip_main", iconPath: "textures/vf/jp/ui_icons/icon_tulip_leaves", colored: true, frequency: 5},
    // tree leaves trails
    "Acacia leaves": {id: "vf_jp:acacia_main", iconPath: "textures/vf/jp/ui_icons/icon_acacia_leaves", colored: true, frequency: 5},
    "Birch leaves": {id: "vf_jp:birch_main", iconPath: "textures/vf/jp/ui_icons/icon_birch_leaves", colored: true, frequency: 5},
    "Jungle leaves": {id: "vf_jp:jungle_main", iconPath: "textures/vf/jp/ui_icons/icon_jungle_leaves", colored: true, frequency: 5},
    "Spruce needles": {id: "vf_jp:spruce_main", iconPath: "textures/vf/jp/ui_icons/icon_spruce_leaves", colored: true, frequency: 5},
    "Pink petals": {id: "vf_jp:pink_petals_main", iconPath: "textures/vf/jp/ui_icons/icon_pink_petals", frequency: 5},
    // flamethrower
    "Flamethrower": {id: "vf_jp:flamethrower", iconPath: "textures/vf/jp/ui_icons/icon_flamethrower", isBackDirection:true, frequency: 2},
    "Rocket thrust": {id: "vf_jp:rocket_thrust", iconPath: "textures/vf/jp/ui_icons/icon_rocket_thrust", isBackDirection:false, frequency: 1}
}
export const secondTypeParticlesKeys = Object.keys(secondTypeParticles);
export const secondTypeParticlesValues = Object.values(secondTypeParticles);

const thirdTypeParticles = {
    "Fire": {id: "vf_jp:fire_landing_main", iconPath: "textures/vf/jp/ui_icons/icon_fire"},
    "Snow": {id: "vf_jp:snow_landing_main", iconPath: "textures/vf/jp/ui_icons/icon_snow"},
    "Sparkles": {id: "vf_jp:sparkles_landing_main", iconPath: "textures/vf/jp/ui_icons/icon_sparkles"},
    "Magic": {id: "vf_jp:magic_landing_main", iconPath: "textures/vf/jp/ui_icons/icon_magic"},
    "Love": {id: "vf_jp:love_landing_main", iconPath: "textures/vf/jp/ui_icons/icon_love"},
    "Stars": {id: "vf_jp:star_landing_main", iconPath: "textures/vf/jp/ui_icons/icon_stars"},
    "Matrix": {id: "vf_jp:matrix_landing_main", iconPath: "textures/vf/jp/ui_icons/icon_matrix"}
}
export const thirdTypeParticlesKeys = Object.keys(thirdTypeParticles);
export const thirdTypeParticlesValues = Object.values(thirdTypeParticles);

export const defaultFirstTypeSoundId = -1
export const defaultSecondTypeSoundId = -1

const firstTypeSounds = {
    "Burnt Out": {id: "cauldron.explode", pitch: 1.0, volume: 1.0},
    "Explode": {id: "random.explode", pitch: 1.0, volume: 0.3},
    "Ice Crystal": {id: "mob.allay.item_taken", pitch: 1.0, volume: 2.2},
    "Hard Snow": {id: "fall.powder_snow", pitch: 1.0, volume: 2.2},
    "Soft Snow": {id: "dig.powder_snow", pitch: 1.0, volume: 1.0},
    "Bass": {id: "vf_jp:bass", pitch: 1.0, volume: 0.6},
    "Celest": {id: "vf_jp:celest", pitch: 1.0, volume: 0.6},
    "Spell": {id: "vf_jp:magic_mist", pitch: 1.0, volume: 0.65},
    "Magic Mist": {id: "mob.allay.idle", pitch: 1.0, volume: 1.4},
    "Villager Yes": {id: "mob.villager.yes", pitch: 1.0, volume: 1.0},
    "Villager Idle": {id: "mob.villager.idle", pitch: 1.0, volume: 1.0},
    "Shimmering": {id: "vf_jp:star_end", pitch: 1.0, volume: 1.1},
    "Bruh": {id: "vf_jp:bruh", pitch: 1.0, volume: 0.4},
    "Camera": {id: "vf_jp:camera", pitch: 1.0, volume: 0.4},
    "Click": {id: "vf_jp:click", pitch: 1.0, volume: 0.4},
    "Crystal": {id: "fall.amethyst_block", pitch: 1.0, volume: 1.3},
    "Ding": {id: "vf_jp:ding", pitch: 1.0, volume: 1.2},
    "Door": {id: "vf_jp:door", pitch: 1.0, volume: 0.2},
    "Dramatic": {id: "vf_jp:dramatic", pitch: 1.0, volume: 0.45},
    "Fart": {id: "vf_jp:fart", pitch: 1.0, volume: 0.3},
    "Glass breaking": {id: "vf_jp:glass_breaking", pitch: 1.0, volume: 0.5},
    "Metal hit": {id: "vf_jp:metal_hit", pitch: 1.0, volume: 0.7},
    "Oh Yeah": {id: "vf_jp:oh_yeah", pitch: 1.0, volume: 0.75},
    "Orchestra hit": {id: "vf_jp:orchestra_hit", pitch: 1.0, volume: 0.35},
    "Pop": {id: "vf_jp:pop", pitch: 1.0, volume: 0.60},
    "Scratch": {id: "vf_jp:scratch", pitch: 1.0, volume: 0.3},
    "Snap": {id: "vf_jp:snap", pitch: 1.0, volume: 0.9},
    "Swoosh": {id: "vf_jp:swoosh", pitch: 1.0, volume: 0.5},
    "Thriller": {id: "vf_jp:thriller", pitch: 1.0, volume: 0.6},
    "Trombone": {id: "vf_jp:trombone", pitch: 1.0, volume: 0.4},
    "Zoom": {id: "vf_jp:zoom", pitch: 1.0, volume: 0.7},
    "Kiss": {id: "vf_jp:kiss", pitch: 1.0, volume: 0.7},
    "Whistle": {id: "vf_jp:whistle", pitch: 1.0, volume: 0.9},
    "Magic Poof": {id: "vf_jp:magic_poof", pitch: 1.0, volume: 0.6},
    "Punch": {id: "vf_jp:punch", pitch: 1.0, volume: 0.15},
    "Harp": {id: "vf_jp:harp", pitch: 1.0, volume: 0.60},
    "Noise Waves": {id: "vf_jp:noise_waves", pitch: 1.0, volume: 0.60},
    "Bop": {id: "vf_jp:bop", pitch: 1.0, volume: 0.60},
    "Burst": {id: "vf_jp:burst", pitch: 1.0, volume: 0.60},
    "Club hit": {id: "vf_jp:club_hit", pitch: 1.0, volume: 0.60},
    "Beep": {id: "vf_jp:beep", pitch: 1.0, volume: 0.60},
    "Rizz": {id: "vf_jp:rizz", pitch: 1.0, volume: 0.60},
    "Wake up": {id: "vf_jp:wake_up", pitch: 1.0, volume: 0.60},
    "Audience awww": {id: "vf_jp:audience_aww", pitch: 1.0, volume: 0.60},
    "Xp error": {id: "vf_jp:xp_error", pitch: 1.0, volume: 0.60},
    "Fail trombone": {id: "vf_jp:fail_trombone", pitch: 1.0, volume: 0.60}
};
export const firstTypeSoundsKeys = Object.keys(firstTypeSounds);
export const firstTypeSoundsValues = Object.values(firstTypeSounds);

const secondTypeSounds = {
    "Burnt Out": {id: "cauldron.explode", pitch: 1.0, volume: 1.0},
    "Explode": {id: "random.explode", pitch: 1.0, volume: 0.3},
    "Ice Crystal": {id: "mob.allay.item_taken", pitch: 1.0, volume: 2.2},
    "Hard Snow": {id: "fall.powder_snow", pitch: 1.0, volume: 2.2},
    "Soft Snow": {id: "dig.powder_snow", pitch: 1.0, volume: 1.0},
    "Bass": {id: "vf_jp:bass", pitch: 1.0, volume: 0.6},
    "Celest": {id: "vf_jp:celest", pitch: 1.0, volume: 0.6},
    "Spell": {id: "vf_jp:magic_mist", pitch: 1.0, volume: 0.65},
    "Magic Mist": {id: "mob.allay.idle", pitch: 1.0, volume: 1.4},
    "Villager Yes": {id: "mob.villager.yes", pitch: 1.0, volume: 1.0},
    "Villager Idle": {id: "mob.villager.idle", pitch: 1.0, volume: 1.0},
    "Shimmering": {id: "vf_jp:star_end", pitch: 1.0, volume: 1.1},
    "Bruh": {id: "vf_jp:bruh", pitch: 1.0, volume: 0.4},
    "Camera": {id: "vf_jp:camera", pitch: 1.0, volume: 0.4},
    "Click": {id: "vf_jp:click", pitch: 1.0, volume: 0.4},
    "Crystal": {id: "fall.amethyst_block", pitch: 1.0, volume: 1.3},
    "Ding": {id: "vf_jp:ding", pitch: 1.0, volume: 1.2},
    "Door": {id: "vf_jp:door", pitch: 1.0, volume: 0.2},
    "Dramatic": {id: "vf_jp:dramatic", pitch: 1.0, volume: 0.45},
    "Fart": {id: "vf_jp:fart", pitch: 1.0, volume: 0.3},
    "Glass breaking": {id: "vf_jp:glass_breaking", pitch: 1.0, volume: 0.5},
    "Metal hit": {id: "vf_jp:metal_hit", pitch: 1.0, volume: 0.7},
    "Oh Yeah": {id: "vf_jp:oh_yeah", pitch: 1.0, volume: 0.75},
    "Orchestra hit": {id: "vf_jp:orchestra_hit", pitch: 1.0, volume: 0.35},
    "Pop": {id: "vf_jp:pop", pitch: 1.0, volume: 0.60},
    "Scratch": {id: "vf_jp:scratch", pitch: 1.0, volume: 0.3},
    "Snap": {id: "vf_jp:snap", pitch: 1.0, volume: 0.9},
    "Swoosh": {id: "vf_jp:swoosh", pitch: 1.0, volume: 0.5},
    "Thriller": {id: "vf_jp:thriller", pitch: 1.0, volume: 0.6},
    "Trombone": {id: "vf_jp:trombone", pitch: 1.0, volume: 0.4},
    "Zoom": {id: "vf_jp:zoom", pitch: 1.0, volume: 0.7},
    "Kiss": {id: "vf_jp:kiss", pitch: 1.0, volume: 0.7},
    "Whistle": {id: "vf_jp:whistle", pitch: 1.0, volume: 0.9},
    "Magic Poof": {id: "vf_jp:magic_poof", pitch: 1.0, volume: 0.6},
    "Punch": {id: "vf_jp:punch", pitch: 1.0, volume: 0.15},
    "Harp": {id: "vf_jp:harp", pitch: 1.0, volume: 0.60},
    "Noise Waves": {id: "vf_jp:noise_waves", pitch: 1.0, volume: 0.60},
    "Bop": {id: "vf_jp:bop", pitch: 1.0, volume: 0.60},
    "Burst": {id: "vf_jp:burst", pitch: 1.0, volume: 0.60},
    "Club hit": {id: "vf_jp:club_hit", pitch: 1.0, volume: 0.60},
    "Beep": {id: "vf_jp:beep", pitch: 1.0, volume: 0.60},
    "Rizz": {id: "vf_jp:rizz", pitch: 1.0, volume: 0.60},
    "Wake up": {id: "vf_jp:wake_up", pitch: 1.0, volume: 0.60},
    "Audience awww": {id: "vf_jp:audience_aww", pitch: 1.0, volume: 0.60},
    "Xp error": {id: "vf_jp:xp_error", pitch: 1.0, volume: 0.60},
    "Fail trombone": {id: "vf_jp:fail_trombone", pitch: 1.0, volume: 0.60}
};
export const secondTypeSoundsKeys = Object.keys(secondTypeSounds);
export const secondTypeSoundsValues = Object.values(secondTypeSounds);

const presets = {
    "Magic": {
        firstTypeParticleName: "Magic",
        secondTypeParticleName: "Magic",
        thirdTypeParticleName: "Magic",

        firstTypeSoundName: "Spell",
        secondTypeSoundName: "Magic Mist",

        iconPath: "textures/vf/jp/ui_icons/icon_magic"
    },
    "Fire": {
        firstTypeParticleName: "Fire",
        secondTypeParticleName: "Fire",
        thirdTypeParticleName: "Fire",

        firstTypeSoundName: "Burnt Out",
        secondTypeSoundName: "Explode",

        iconPath: "textures/vf/jp/ui_icons/icon_fire"
    },
    "Matrix": {
        firstTypeParticleName: "Matrix",
        secondTypeParticleName: "Matrix",
        thirdTypeParticleName: "Matrix",

        firstTypeSoundName: "Burst",
        secondTypeSoundName: "Xp error",

        iconPath: "textures/vf/jp/ui_icons/icon_matrix"
    },
    "Sparkles": {
        firstTypeParticleName: "Sparkles",
        secondTypeParticleName: "Sparkles",
        thirdTypeParticleName: "Sparkles",

        firstTypeSoundName: "Bass",
        secondTypeSoundName: "Celest",

        iconPath: "textures/vf/jp/ui_icons/icon_sparkles"
    },
    "Snow": {
        firstTypeParticleName: "Snow",
        secondTypeParticleName: "Snow",
        thirdTypeParticleName: "Snow",

        firstTypeSoundName: "Hard Snow",
        secondTypeSoundName: "Soft Snow",

        iconPath: "textures/vf/jp/ui_icons/icon_snow"
    },
    "Love": {
        firstTypeParticleName: "Love",
        secondTypeParticleName: "Love",
        thirdTypeParticleName: "Love",

        firstTypeSoundName: "Harp",
        secondTypeSoundName: "Kiss",

        iconPath: "textures/vf/jp/ui_icons/icon_love"
    },
    "Stars": {
        firstTypeParticleName: "Stars",
        secondTypeParticleName: "Stars",
        thirdTypeParticleName: "Stars",

        firstTypeSoundName: "Magic Poof",
        secondTypeSoundName: "Shimmering",

        iconPath: "textures/vf/jp/ui_icons/icon_stars"
    }
}


export const presetsKeys = Object.keys(presets);
export const presetsValues = Object.values(presets);

const trailParticles = {
//sets
    "Fire": {id: "vf_jp:fire_trail_main", iconPath: "textures/vf/jp/ui_icons/icon_fire", frequency: 2},
    "Snow": {id: "vf_jp:snow_trail_main", iconPath: "textures/vf/jp/ui_icons/icon_snow", frequency: 1},
    "Sparkles": {id: "vf_jp:sparkles_trail_main", iconPath: "textures/vf/jp/ui_icons/icon_sparkles", frequency: 2},
    "Magic": {id: "vf_jp:magic_trail_main", iconPath: "textures/vf/jp/ui_icons/icon_magic", frequency: 2},
    "Love": {id: "vf_jp:love_trail_main", iconPath: "textures/vf/jp/ui_icons/icon_love", frequency: 1},
    "Stars": {id: "vf_jp:star_trail_main", iconPath: "textures/vf/jp/ui_icons/icon_stars", frequency: 2},
    "Matrix": {id: "vf_jp:matrix_trail_main", iconPath: "textures/vf/jp/ui_icons/icon_matrix", frequency: 1},
// aura particles
    "Disco": {id: "vf_jp:dancing_main", iconPath: "textures/vf/jp/ui_icons/icon_disco", frequency: 10},
    "S.G.A.": {id: "vf_jp:sga", iconPath: "textures/vf/jp/ui_icons/icon_sga", colored: true, frequency: 2},
    "Gold Hearts": {id: "vf_jp:gold_hearts_main", iconPath: "textures/vf/jp/ui_icons/icon_gold_hearts", frequency: 10},
    "Cakes": {id: "vf_jp:cakes_main", iconPath: "textures/vf/jp/ui_icons/icon_cakes", frequency: 40},
    "Cookies": {id: "vf_jp:cookies_main", iconPath: "textures/vf/jp/ui_icons/icon_cookies", frequency: 10},
    "Coins": {id: "vf_jp:coins_main", iconPath: "textures/vf/jp/ui_icons/icon_coins", frequency: 7},
    "Treasure": {id: "vf_jp:treasure_main", iconPath: "textures/vf/jp/ui_icons/icon_treasure", frequency: 10},
    "Dynos": {id: "vf_jp:dynos_main", iconPath: "textures/vf/jp/ui_icons/icon_dynos", colored: true, frequency: 10},
    "Starry sky (near)": {id: "vf_jp:starry_sky_near_main", iconPath: "textures/vf/jp/ui_icons/icon_starry_night_normal", frequency: 10},
    "Starry sky (far)": {id: "vf_jp:starry_sky_far_main", iconPath: "textures/vf/jp/ui_icons/icon_starry_night_huge", frequency: 5},
    "Accumulate": {id: "vf_jp:accumulate_main", iconPath: "textures/vf/jp/ui_icons/icon_accumulate", colored: true,  frequency: 6},
    "Barriers (massive)": {id: "vf_jp:barriers_massive_main", iconPath: "textures/vf/jp/ui_icons/icon_barrier_massive", frequency: 2},
    "Barriers (normal)": {id: "vf_jp:barriers_normal_main", iconPath: "textures/vf/jp/ui_icons/icon_barrier_normal", frequency: 10},
    "Cats": {id: "vf_jp:cats_main", iconPath: "textures/vf/jp/ui_icons/icon_cats", colored: true, frequency: 10},
    "Concentrate": {id: "vf_jp:concentrate_main", iconPath: "textures/vf/jp/ui_icons/icon_concentrate", frequency: 5},
    "Ender glow": {id: "vf_jp:ender_glow_main", iconPath: "textures/vf/jp/ui_icons/icon_ender_glow", frequency: 10},
    "Fireflies": {id: "vf_jp:fireflies_main", iconPath: "textures/vf/jp/ui_icons/icon_fireflies", frequency: 2},
    "Fireworks type 1": {id: "vf_jp:fireworks_type_1_main", iconPath: "textures/vf/jp/ui_icons/icon_fireworks_1", frequency: 30},
    "Fireworks type 2": {id: "vf_jp:fireworks_type_2_main", iconPath: "textures/vf/jp/ui_icons/icon_fireworks_2", frequency: 40},
    "Formulas": {id: "vf_jp:formulas_main", iconPath: "textures/vf/jp/ui_icons/icon_formulas", frequency: 15},
    "Fried meat": {id: "vf_jp:fried_meat_main", iconPath: "textures/vf/jp/ui_icons/icon_fried_meat", frequency: 20},
    "Glitter": {id: "vf_jp:glitter_main", iconPath: "textures/vf/jp/ui_icons/icon_glitter", frequency: 10},
    "Glitter rain": {id: "vf_jp:glitter_rain_main", iconPath: "textures/vf/jp/ui_icons/icon_glitter_rain", frequency: 10},
    "Gaps": {id: "vf_jp:gaps_main", iconPath: "textures/vf/jp/ui_icons/icon_gaps", frequency: 2},
    "Meteors": {id: "vf_jp:meteors_main", iconPath: "textures/vf/jp/ui_icons/icon_meteors", frequency: 30},
    "Mushrooms": {id: "vf_jp:mushrooms_main", iconPath: "textures/vf/jp/ui_icons/icon_mushrooms", frequency: 10},
    "Mystic Dust": {id: "vf_jp:mystic_dust_main", iconPath: "textures/vf/jp/ui_icons/icon_mystic_dust", colored: true, frequency: 20},
    "Rain": {id: "vf_jp:rain_main", iconPath: "textures/vf/jp/ui_icons/icon_rain", frequency: 2},
    "Spores": {id: "vf_jp:spore_main", iconPath: "textures/vf/jp/ui_icons/icon_spores", frequency: 3},
    "TNT drops": {id: "vf_jp:tnt_main", iconPath: "textures/vf/jp/ui_icons/icon_tnt", frequency: 4},
//auras with variations
    //energy
    "Blue energy": {id: "vf_jp:energy_blue_main", iconPath: "textures/vf/jp/ui_icons/icon_energy_blue", frequency: 15},
    "Green energy": {id: "vf_jp:energy_green_main", iconPath: "textures/vf/jp/ui_icons/icon_energy_green", frequency: 15},
    "Purple energy": {id: "vf_jp:energy_purple_main", iconPath: "textures/vf/jp/ui_icons/icon_energy_purple", frequency: 15},
    "Red energy": {id: "vf_jp:energy_red_main", iconPath: "textures/vf/jp/ui_icons/icon_energy_red", frequency: 15},
    "Yellow energy": {id: "vf_jp:energy_yellow_main", iconPath: "textures/vf/jp/ui_icons/icon_energy_yellow", frequency: 15},
// head particles
    //lava lamp (with variations)
    "Blue Lava Lamp": {id: "vf_jp:lavalamp_blue_main", iconPath: "textures/vf/jp/ui_icons/icon_lavalamp_blue", frequency: 35},
    "Green Lava Lamp": {id: "vf_jp:lavalamp_green_main", iconPath: "textures/vf/jp/ui_icons/icon_lavalamp_green", frequency: 35},
    "Orange Lava Lamp": {id: "vf_jp:lavalamp_orange_main", iconPath: "textures/vf/jp/ui_icons/icon_lavalamp_orange", frequency: 40},
    "Purple Lava Lamp": {id: "vf_jp:lavalamp_purple_main", iconPath: "textures/vf/jp/ui_icons/icon_lavalamp_purple", frequency: 40},
    "Red Lava Lamp": {id: "vf_jp:lavalamp_red_main", iconPath: "textures/vf/jp/ui_icons/icon_lavalamp_red", frequency: 40},
    "Yellow Lava Lamp": {id: "vf_jp:lavalamp_yellow_main", iconPath: "textures/vf/jp/ui_icons/icon_lavalamp_yellow", frequency: 40},
    //Glowing crowns (with variations)
    "Blue Glowing crown": {id: "vf_jp:glowing_crown_blue", iconPath: "textures/vf/jp/ui_icons/icon_blue_gc", frequency: 2},
    "Green Glowing crown": {id: "vf_jp:glowing_crown_green_and_blue", iconPath: "textures/vf/jp/ui_icons/icon_green_gc", frequency: 2},
    "Purple Glowing crown": {id: "vf_jp:glowing_crown_purple", iconPath: "textures/vf/jp/ui_icons/icon_purple_gc", frequency: 2},
    "Orange Glowing crown": {id: "vf_jp:glowing_crown_red", iconPath: "textures/vf/jp/ui_icons/icon_orange_gc", frequency: 2},
    //other
    "Fairy": {id: "vf_jp:fairy_main", iconPath: "textures/vf/jp/ui_icons/icon_fairy", frequency: 1},
    "Hearts": {id: "vf_jp:hearts_main", iconPath: "textures/vf/jp/ui_icons/icon_hearts", frequency: 3},
// underfoot particles
    "Water splashes": {id: "vf_jp:water_steps_main", iconPath: "textures/vf/jp/ui_icons/icon_water_steps", frequency: 2},
    "SGA steps": {id: "vf_jp:sga_steps_main", iconPath: "textures/vf/jp/ui_icons/icon_sga_steps", colored: true,  frequency:3},
//trails
    // flower leaves trails
    "Azalea leaves": {id: "vf_jp:azalea_main", iconPath: "textures/vf/jp/ui_icons/icon_azalea_leaves", colored: true, frequency: 5},
    "Dandelion leaves": {id: "vf_jp:azalea_main", iconPath: "textures/vf/jp/ui_icons/icon_dandelion_leaves", colored: true, frequency: 5},
    "Rose leaves": {id: "vf_jp:rose_main", iconPath: "textures/vf/jp/ui_icons/icon_rose_leaves", colored: true, frequency: 5},
    "Tulip leaves": {id: "vf_jp:tulip_main", iconPath: "textures/vf/jp/ui_icons/icon_tulip_leaves", colored: true, frequency: 5},
    // tree leaves trails
    "Acacia leaves": {id: "vf_jp:acacia_main", iconPath: "textures/vf/jp/ui_icons/icon_acacia_leaves", colored: true, frequency: 5},
    "Birch leaves": {id: "vf_jp:birch_main", iconPath: "textures/vf/jp/ui_icons/icon_birch_leaves", colored: true, frequency: 5},
    "Jungle leaves": {id: "vf_jp:jungle_main", iconPath: "textures/vf/jp/ui_icons/icon_jungle_leaves", colored: true, frequency: 5},
    "Spruce needles": {id: "vf_jp:spruce_main", iconPath: "textures/vf/jp/ui_icons/icon_spruce_leaves", colored: true, frequency: 5},
    "Pink petals": {id: "vf_jp:pink_petals_main", iconPath: "textures/vf/jp/ui_icons/icon_pink_petals", frequency: 5},
    // flamethrower
    "Flamethrower": {id: "vf_jp:flamethrower", iconPath: "textures/vf/jp/ui_icons/icon_flamethrower", isBackDirection:true, frequency: 2},
    "Rocket thrust": {id: "vf_jp:rocket_thrust", iconPath: "textures/vf/jp/ui_icons/icon_rocket_thrust", isBackDirection:false, frequency: 1}
}
export const trailParticlesKeys = Object.keys(trailParticles);
export const trailParticlesValues = Object.values(trailParticles);

export const defaultSecondTypeParticleColorId = 33

const trailAndParticleColors = {
    "Yellow #1": {r: 255, g: 242, b: 0, iconPath: "textures/vf/jp/ui_icons/colors/yellow_1"},
    "Yellow #2": {r: 255, g: 225, b: 0, iconPath: "textures/vf/jp/ui_icons/colors/yellow_2"},
    "Yellow #3": {r: 242, g: 197, b: 0, iconPath: "textures/vf/jp/ui_icons/colors/yellow_3"},

    "Orange #1": {r: 255, g: 173, b: 38, iconPath: "textures/vf/jp/ui_icons/colors/orange_1"},
    "Orange #2": {r: 255, g: 142, b: 0, iconPath: "textures/vf/jp/ui_icons/colors/orange_2"},
    "Orange #3": {r: 224, g: 99, b: 0, iconPath: "textures/vf/jp/ui_icons/colors/orange_3"},

    "Red #1": {r: 251, g: 110, b: 129, iconPath: "textures/vf/jp/ui_icons/colors/red_1"},
    "Red #2": {r: 232, g: 44, b: 44, iconPath: "textures/vf/jp/ui_icons/colors/red_2"},
    "Red #3": {r: 193, g: 0, b: 0, iconPath: "textures/vf/jp/ui_icons/colors/red_3"},

    "Blue #1": {r: 69, g: 190, b: 255, iconPath: "textures/vf/jp/ui_icons/colors/blue_1"},
    "Blue #2": {r: 69, g: 143, b: 255, iconPath: "textures/vf/jp/ui_icons/colors/blue_2"},
    "Blue #3": {r: 0, g: 97, b: 243, iconPath: "textures/vf/jp/ui_icons/colors/blue_3"},

    "Cyan #1": {r: 97, g: 238, b: 156, iconPath: "textures/vf/jp/ui_icons/colors/cyan_1"},
    "Cyan #2": {r: 97, g: 238, b: 215, iconPath: "textures/vf/jp/ui_icons/colors/cyan_2"},
    "Cyan #3": {r: 112, g: 218, b: 240, iconPath: "textures/vf/jp/ui_icons/colors/cyan_3"},

    "Lime #1": {r: 213, g: 236, b: 65, iconPath: "textures/vf/jp/ui_icons/colors/lime_1"},
    "Lime #2": {r: 156, g: 236, b: 65, iconPath: "textures/vf/jp/ui_icons/colors/lime_2"},
    "Lime #3": {r: 85, g: 236, b: 65, iconPath: "textures/vf/jp/ui_icons/colors/lime_3"},

    "Green #1": {r: 151, g: 173, b: 2, iconPath: "textures/vf/jp/ui_icons/colors/green_1"},
    "Green #2": {r: 94, g: 173, b: 2, iconPath: "textures/vf/jp/ui_icons/colors/green_2"},
    "Green #3": {r: 9, g: 173, b: 2, iconPath: "textures/vf/jp/ui_icons/colors/green_3"},

    "Purple #1": {r: 225, g: 56, b: 212, iconPath: "textures/vf/jp/ui_icons/colors/purple_1"},
    "Purple #2": {r: 182, g: 56, b: 225, iconPath: "textures/vf/jp/ui_icons/colors/purple_2"},
    "Purple #3": {r: 126, g: 56, b: 225, iconPath: "textures/vf/jp/ui_icons/colors/purple_3"},

    "Magenta #1": {r: 245, g: 57, b: 120, iconPath: "textures/vf/jp/ui_icons/colors/magenta_1"},
    "Magenta #2": {r: 245, g: 57, b: 180, iconPath: "textures/vf/jp/ui_icons/colors/magenta_2"},
    "Magenta #3": {r: 245, g: 57, b: 243, iconPath: "textures/vf/jp/ui_icons/colors/magenta_3"},

    "Pink #1": {r: 255, g: 205, b: 222, iconPath: "textures/vf/jp/ui_icons/colors/pink_1"},
    "Pink #2": {r: 238, g: 161, b: 187, iconPath: "textures/vf/jp/ui_icons/colors/pink_2"},
    "Pink #3": {r: 229, g: 109, b: 150, iconPath: "textures/vf/jp/ui_icons/colors/pink_3"},

    "Gray #1": {r: 155, g: 155, b: 155, iconPath: "textures/vf/jp/ui_icons/colors/gray_1"},
    "Gray #2": {r: 132, g: 132, b: 132, iconPath: "textures/vf/jp/ui_icons/colors/gray_2"},
    "Gray #3": {r: 96, g: 96, b: 96, iconPath: "textures/vf/jp/ui_icons/colors/gray_3"},

    "White #1": {r: 255, g: 255, b: 255, iconPath: "textures/vf/jp/ui_icons/colors/white_1"},
    "White #2": {r: 231, g: 231, b: 231, iconPath: "textures/vf/jp/ui_icons/colors/white_2"},
    "White #3": {r: 193, g: 193, b: 193, iconPath: "textures/vf/jp/ui_icons/colors/white_3"},

    "Black #1": {r: 71, g: 71, b: 71, iconPath: "textures/vf/jp/ui_icons/colors/black_1"},
    "Black #2": {r: 45, g: 45, b: 45, iconPath: "textures/vf/jp/ui_icons/colors/black_2"},
    "Black #3": {r: 0, g: 0, b: 0, iconPath: "textures/vf/jp/ui_icons/colors/black_3"}

}
export const trailAndParticleColorsKeys = Object.keys(trailAndParticleColors);
export const trailAndParticleColorsValues = Object.values(trailAndParticleColors);

const disguiseJumppads = {
    "§8Andesite": {id: "vf_jp:jumppad_disguise_stone_andesite", iconPath: "textures/vf/jp/blocks/disguise/disguise_stone_andesite"},
    "§8Brick": {id: "vf_jp:jumppad_disguise_brick", iconPath: "textures/vf/jp/blocks/disguise/disguise_brick"},
    "§8Cobblestone": {id: "vf_jp:jumppad_disguise_cobblestone", iconPath: "textures/vf/jp/blocks/disguise/disguise_cobblestone"},
    "§8Deepslate": {id: "vf_jp:jumppad_disguise_deepslate", iconPath: "textures/vf/jp/blocks/disguise/disguise_deepslate"},
    "§8Diorite": {id: "vf_jp:jumppad_disguise_stone_diorite", iconPath: "textures/vf/jp/blocks/disguise/disguise_stone_diorite"},
    "§8Dirt": {id: "vf_jp:jumppad_disguise_dirt", iconPath: "textures/vf/jp/blocks/disguise/disguise_dirt"},
    "§8Granite": {id: "vf_jp:jumppad_disguise_stone_granite", iconPath: "textures/vf/jp/blocks/disguise/disguise_stone_granite"},
    "§8Grass": {id: "vf_jp:jumppad_disguise_grass", iconPath: "textures/vf/jp/blocks/disguise/disguise_grass_side_carried"},
    "§8Gravel": {id: "vf_jp:jumppad_disguise_gravel", iconPath: "textures/vf/jp/blocks/disguise/disguise_gravel"},
    "§8Red Sand": {id: "vf_jp:jumppad_disguise_red_sand", iconPath: "textures/vf/jp/blocks/disguise/disguise_red_sand"},
    "§8Sand": {id: "vf_jp:jumppad_disguise_sand", iconPath: "textures/vf/jp/blocks/disguise/disguise_sand"},
    "§8Stone": {id: "vf_jp:jumppad_disguise_stone", iconPath: "textures/vf/jp/blocks/disguise/disguise_stone"},
    "§8Acacia Planks": {id: "vf_jp:jumppad_disguise_planks_acacia", iconPath: "textures/vf/jp/blocks/disguise/disguise_planks_acacia"},
    "§8Bamboo Planks": {id: "vf_jp:jumppad_disguise_bamboo_planks", iconPath: "textures/vf/jp/blocks/disguise/disguise_bamboo_planks"},
    "§8Birch Planks": {id: "vf_jp:jumppad_disguise_planks_birch", iconPath: "textures/vf/jp/blocks/disguise/disguise_planks_birch"},
    "§8Cherry Planks": {id: "vf_jp:jumppad_disguise_cherry_planks", iconPath: "textures/vf/jp/blocks/disguise/disguise_cherry_planks"},
    "§8Crimson Planks": {id: "vf_jp:jumppad_disguise_crimson_planks", iconPath: "textures/vf/jp/blocks/disguise/disguise_crimson_planks"},
    "§8Big Oak Planks": {id: "vf_jp:jumppad_disguise_planks_big_oak", iconPath: "textures/vf/jp/blocks/disguise/disguise_planks_big_oak"},
    "§8Jungle Planks": {id: "vf_jp:jumppad_disguise_planks_jungle", iconPath: "textures/vf/jp/blocks/disguise/disguise_planks_jungle"},
    "§8Mangrove Planks": {id: "vf_jp:jumppad_disguise_mangrove_planks", iconPath: "textures/vf/jp/blocks/disguise/disguise_mangrove_planks"},
    "§8Oak Planks": {id: "vf_jp:jumppad_disguise_planks_oak", iconPath: "textures/vf/jp/blocks/disguise/disguise_planks_oak"},
    "§8Pale Oak Planks": {id: "vf_jp:jumppad_disguise_pale_oak_planks", iconPath: "textures/vf/jp/blocks/disguise/disguise_pale_oak_planks"},
    "§8Spruce Planks": {id: "vf_jp:jumppad_disguise_planks_spruce", iconPath: "textures/vf/jp/blocks/disguise/disguise_planks_spruce"},
    "§8Warped Planks": {id: "vf_jp:jumppad_disguise_warped_planks", iconPath: "textures/vf/jp/blocks/disguise/disguise_warped_planks"}
};
export const disguiseJumppadsKeys = Object.keys(disguiseJumppads);
export const disguiseJumppadsValues = Object.values(disguiseJumppads);