import {ActionFormData} from "@minecraft/server-ui";
import {openDisguiseMenu} from "./openDisguiseMenu";
import {openSelectColorMenu} from "./openSelectColorMenu";
import {deleteJumppadMenuPlayer, setJumppadMenuPlayer} from "../../dataOperations";

export function openAppearanceMenu(argumentObject) {
    setJumppadMenuPlayer(argumentObject.player.id, argumentObject.blockLocation)
    const form = new ActionFormData()
        .title("Select what you want to edit:")
        .button("§8Custom color", "textures/vf/jp/ui_icons/icon_jumppad_red")
        .button("§8Disguise as default", "textures/vf/jp/ui_icons/icon_jumppad_block")




    form.show(argumentObject.player).then(response => {
        if (!response || response.selection === undefined)  {
            deleteJumppadMenuPlayer(argumentObject.blockLocation)
            return;
        }
        deleteJumppadMenuPlayer(argumentObject.blockLocation)
        try {
            switch (response.selection) {
                case 0:
                    openSelectColorMenu(argumentObject)
                    break
                case 1:
                    openDisguiseMenu(argumentObject)
                    break
            }
        } catch (e) {
            //console.error("Error:", e);
        }
    });
}