import {ActionFormData} from "@minecraft/server-ui";
import {disguiseJumppadsKeys, disguiseJumppadsValues} from "../../config/mainConfig";
import {BlockPermutation} from "@minecraft/server";
import {deleteJumppadMenuPlayer, setJumppadMenuPlayer} from "../../dataOperations";

export function openDisguiseMenu(argumentObject) {
    setJumppadMenuPlayer(argumentObject.player.id, argumentObject.blockLocation)
    const form = new ActionFormData()
        .title("Select disguise block:")

    for (const blockName of disguiseJumppadsKeys) {
        const index = disguiseJumppadsKeys.indexOf(blockName);
        form.button(blockName, disguiseJumppadsValues[index].iconPath)
    }


    form.show(argumentObject.player).then(response => {
        if (!response || response.selection === undefined)  {
            deleteJumppadMenuPlayer(argumentObject.blockLocation)
            return;
        }
        deleteJumppadMenuPlayer(argumentObject.blockLocation)
        try {
            if (!argumentObject.player.dimension.getBlock(argumentObject.blockLocation).typeId.startsWith("vf_jp:jumppad_")) {
                argumentObject.player.sendMessage("An error occurred while processing the entered data.")
                return;
            }
            const blockPermutation = BlockPermutation.resolve(disguiseJumppadsValues[response.selection].id)
            argumentObject.player.dimension.setBlockPermutation(argumentObject.blockLocation, blockPermutation)
            argumentObject.player.sendMessage("You have successfully changed the appearance of the jumppad.")
        } catch (e) {
            //console.error("Error:", e);
        }
    });
}