import {ActionFormData} from "@minecraft/server-ui";
import {BlockPermutation} from "@minecraft/server";
import {deleteJumppadMenuPlayer, setJumppadMenuPlayer} from "../../dataOperations";

export function openSelectColorMenu(argumentObject) {
    setJumppadMenuPlayer(argumentObject.player.id, argumentObject.blockLocation)
    const jumppadTypeIds = [
        "vf_jp:jumppad_custom_white",
        "vf_jp:jumppad_custom_gray",
        "vf_jp:jumppad_custom_black",
        "vf_jp:jumppad_custom_brown",
        "vf_jp:jumppad_custom_red",
        "vf_jp:jumppad_custom_orange",
        "vf_jp:jumppad_custom_yellow",
        "vf_jp:jumppad_custom_lime",
        "vf_jp:jumppad_custom_green",
        "vf_jp:jumppad_custom_cyan",
        "vf_jp:jumppad_custom_lightblue",
        "vf_jp:jumppad_custom_blue",
        "vf_jp:jumppad_custom_purple",
        "vf_jp:jumppad_custom_magenta",
        "vf_jp:jumppad_custom_pink"
    ]

    const form = new ActionFormData()
        .title("Select custom geometry jumppad color: ")
        .button("§8White", "textures/vf/jp/ui_icons/icon_jumppad_white")
        //        .button("§8Lightgray", "textures/vf/jp/ui_icons/icon_jumppad_lightgray")
        .button("§8Gray", "textures/vf/jp/ui_icons/icon_jumppad_gray")
        .button("§8Black", "textures/vf/jp/ui_icons/icon_jumppad_black")
        .button("§8Brown", "textures/vf/jp/ui_icons/icon_jumppad_brown")
        .button("§8Red", "textures/vf/jp/ui_icons/icon_jumppad_red")
        .button("§8Orange", "textures/vf/jp/ui_icons/icon_jumppad_orange")
        .button("§8Yellow", "textures/vf/jp/ui_icons/icon_jumppad_yellow")
        .button("§8Lime", "textures/vf/jp/ui_icons/icon_jumppad_lime")
        .button("§8Green", "textures/vf/jp/ui_icons/icon_jumppad_green")
        .button("§8Cyan", "textures/vf/jp/ui_icons/icon_jumppad_cyan")
        .button("§8Lightblue", "textures/vf/jp/ui_icons/icon_jumppad_lightblue")
        .button("§8Blue", "textures/vf/jp/ui_icons/icon_jumppad_blue")
        .button("§8Purple", "textures/vf/jp/ui_icons/icon_jumppad_purple")
        .button("§8Magenta", "textures/vf/jp/ui_icons/icon_jumppad_magenta")
        .button("§8Pink", "textures/vf/jp/ui_icons/icon_jumppad_pink")



    form.show(argumentObject.player).then(response => {
        if (!response || response.selection === undefined)  {
            deleteJumppadMenuPlayer(argumentObject.blockLocation)
            return;
        }
        deleteJumppadMenuPlayer(argumentObject.blockLocation)
        try {
            if (!argumentObject.player.dimension.getBlock(argumentObject.blockLocation).typeId.startsWith("vf_jp:jumppad_")) {
                argumentObject.player.sendMessage("An error occurred while processing the entered data.")
                return;
            }
            const blockPermutation = BlockPermutation.resolve(jumppadTypeIds[response.selection])
            argumentObject.player.dimension.setBlockPermutation(argumentObject.blockLocation, blockPermutation)
            argumentObject.player.sendMessage("You have successfully changed the appearance of the jumppad.")
        } catch (e) {
            //console.error("Error:", e);
        }
    });
}