import {ActionFormData} from "@minecraft/server-ui";
import {openTemplatedMenuForEntities} from "./modes/openTemplatedMenuForEntities";
import {openFineTunedMenuForEntities} from "./modes/openFineTunedMenuForEntities";
import {deleteJumppadMenuPlayer, setJumppadMenuPlayer} from "../../dataOperations";

export function openSettingsSelectModeForEntitiesMenu(argumentObject) {
    setJumppadMenuPlayer(argumentObject.player.id, argumentObject.blockLocation)
    const form = new ActionFormData()
        .title("Select settings mode:")
        .body("For certain entities, such as drops, TNT, etc.")
        .button("Templated settings", "textures/vf/jp/ui_icons/icon_templated")
        .button("Very fine-tuned settings", "textures/vf/jp/ui_icons/icon_settings")


    form.show(argumentObject.player).then(response => {
        if (!response || response.selection === undefined) {
            deleteJumppadMenuPlayer(argumentObject.blockLocation)
            return;
        }
        deleteJumppadMenuPlayer(argumentObject.blockLocation)
        try {
            switch (response.selection) {
                case 0:
                    openTemplatedMenuForEntities(argumentObject)
                    break
                case 1:
                    openFineTunedMenuForEntities(argumentObject)
                    break
            }
        } catch (e) {
            //console.error("Error:", e);
        }
    });
}