import {ActionFormData} from "@minecraft/server-ui";
import {openTemplatedMenuForPlayer} from "./modes/openTemplatedMenuForPlayer";
import {openFineTunedMenuForPlayer} from "./modes/openFineTunedMenuForPlayer";
import {deleteJumppadMenuPlayer, setJumppadMenuPlayer} from "../../dataOperations";

export function openSettingsSelectModeForPlayerMenu(argumentObject) {
    setJumppadMenuPlayer(argumentObject.player.id, argumentObject.blockLocation)
    const form = new ActionFormData()
        .title("Select settings mode:")
        .body("For players and most entities.")
        .button("Templated settings", "textures/vf/jp/ui_icons/icon_templated")
        .button("Very fine-tuned settings", "textures/vf/jp/ui_icons/icon_settings")


    form.show(argumentObject.player).then(response => {
        if (!response || response.selection === undefined) {
            deleteJumppadMenuPlayer(argumentObject.blockLocation)
            return;
        }
        deleteJumppadMenuPlayer(argumentObject.blockLocation)
        try {
            switch (response.selection) {
                case 0:
                    openTemplatedMenuForPlayer(argumentObject)
                    break
                case 1:
                    openFineTunedMenuForPlayer(argumentObject)
                    break
            }
        } catch (e) {
            //console.error("Error:", e);
        }
    });
}