import {ActionFormData} from "@minecraft/server-ui";
import {openSettingsSelectModeForPlayerMenu} from "./forPlayer/openSettingsSelectModeForPlayerMenu";
import {openSettingsSelectModeForEntitiesMenu} from "./forEntities/openSettingsSelectModeForEntitiesMenu";
import {openParticlesMenu} from "./openParticlesMenu";
import {openSoundsMenu} from "./openSoundsMenu";
import {openAppearanceMenu} from "./appearance/openAppearanceMenu";
import {deleteJumppadMenuPlayer, setJumppadMenuPlayer} from "../dataOperations";

export function openMainJumpPadMenu(argumentObject) {
    setJumppadMenuPlayer(argumentObject.player.id, argumentObject.blockLocation)
    const form = new ActionFormData()
        .title("Select what you want to edit:")
        .button("§8Knockback settings for players and most entities", "textures/vf/jp/ui_icons/icon_kb_player")
        .button("§8Knockback settings for items, TNT, and others", "textures/vf/jp/ui_icons/icon_kb_entity")
        .button("§8Particle settings", "textures/vf/jp/ui_icons/icon_jumppad_up")
        .button("§8Sound settings", "textures/vf/jp/ui_icons/icon_sounds")
        .button("§8Jumppad appearance", "textures/vf/jp/ui_icons/icon_settings")



    form.show(argumentObject.player).then(response => {
        if (!response || response.selection === undefined) {
            deleteJumppadMenuPlayer(argumentObject.blockLocation)
            return;
        }
        deleteJumppadMenuPlayer(argumentObject.blockLocation)
        // console.error("delete")
        try {
            switch (response.selection) {
                case 0:
                    openSettingsSelectModeForPlayerMenu(argumentObject)
                    break
                case 1:
                    openSettingsSelectModeForEntitiesMenu(argumentObject)
                    break
                case 2:
                    openParticlesMenu(argumentObject)
                    break
                case 3:
                    openSoundsMenu(argumentObject)
                    break
                case 4:
                    openAppearanceMenu(argumentObject)
                    break
            }
        } catch (e) {
            //console.error("Error:", e);
        }
    });
}