import {ActionFormData} from "@minecraft/server-ui";
import {
    firstTypeParticlesKeys,
    firstTypeSoundsKeys,
    presetsKeys,
    presetsValues,
    secondTypeParticlesKeys,
    secondTypeSoundsKeys,
    thirdTypeParticlesKeys
} from "../config/mainConfig";
import {deleteJumppadMenuPlayer, getJumpPadSettings, setJumppadMenuPlayer, setJumpPadSettings} from "../dataOperations";

export function openPresetsMenu(argumentObject) {
    setJumppadMenuPlayer(argumentObject.player.id, argumentObject.blockLocation)
    const form = new ActionFormData()
        .title("Select preset type:")
        .body("The preset selects all visual parameters of the jumppad and sounds related to one category at once.")
    for (const presetName of presetsKeys) {
        const index = presetsKeys.indexOf(presetName);
        form.button(presetName, presetsValues[index].iconPath)
    }

    form.show(argumentObject.player).then(response => {
        if (!response || response.selection === undefined) {
            deleteJumppadMenuPlayer(argumentObject.blockLocation)
            return;
        }
        deleteJumppadMenuPlayer(argumentObject.blockLocation)
        try {
            if (!argumentObject.player.dimension.getBlock(argumentObject.blockLocation).typeId.startsWith("vf_jp:jumppad_")) {
                argumentObject.player.sendMessage("An error occurred while processing the entered data.")
                return;
            }
            const responseIndex = response.selection
            const selectedObject = presetsValues[responseIndex]
            const newSettings = getJumpPadSettings(argumentObject.blockLocation)

            newSettings.fTP = firstTypeParticlesKeys.indexOf(selectedObject.firstTypeParticleName)
            newSettings.sTP = secondTypeParticlesKeys.indexOf(selectedObject.secondTypeParticleName)
            newSettings.tTP = thirdTypeParticlesKeys.indexOf(selectedObject.thirdTypeParticleName)

            newSettings.fTS = firstTypeSoundsKeys.indexOf(selectedObject.firstTypeSoundName)
            newSettings.sTS = secondTypeSoundsKeys.indexOf(selectedObject.secondTypeSoundName)

            setJumpPadSettings(argumentObject.blockLocation, newSettings);
        } catch (e) {
            //console.error("Error:", e);
        }
    });
}