import {ActionFormData} from "@minecraft/server-ui";
import {trailParticlesKeys, trailParticlesValues} from "../config/mainConfig";
import {setTrailSettings, trailPropertyId} from "../dataOperations";
import {openColoredTrailsMenu} from "./openColoredMenu";

export function openTrailsMenu(player) {
    const form = new ActionFormData()
        .title("Select particle:")

    const playerHasTrail = JSON.parse(player.getDynamicProperty(trailPropertyId)).trailId !== undefined
    if (playerHasTrail) {
        form.button("§cDisable")
    }

    for (const trailName of trailParticlesKeys) {
        const index = trailParticlesKeys.indexOf(trailName);
        form.button(trailName, trailParticlesValues[index].iconPath)
    }

    form.show(player).then(response => {
        if (!response || response.selection === undefined) return;
        try {
            if (playerHasTrail) {
                if (response.selection === 0) {
                    if (trailParticlesValues[response.selection].colored !== undefined) {
                        openColoredTrailsMenu(player, response.selection)
                    } else {
                        setTrailSettings(player, undefined)
                    }
                } else {
                    if (trailParticlesValues[response.selection - 1].colored !== undefined) {
                        openColoredTrailsMenu(player, response.selection - 1)
                    } else {
                        setTrailSettings(player, response.selection - 1)
                    }
                }
            } else {
                if (trailParticlesValues[response.selection].colored !== undefined) {
                    openColoredTrailsMenu(player, response.selection)
                } else {
                    setTrailSettings(player, response.selection)
                }
            }
        } catch (e) {
            //console.error("Error:", e);
        }
    });
}