export function convertToDegrees(x, z) {
    let radians = Math.atan2(x, z);

    let degrees = radians * (180 / Math.PI);

    if (degrees < 0) {
        degrees += 360;
    }

    return (degrees * -1) + 360;
}

export function degreesToVector(degrees) {
    const radians = -degrees * (Math.PI / 180);

    const x = Math.sin(radians);
    const z = Math.cos(radians);

    return { x, z };
}

export function findClosestNumber(target, options) {
    const numbers = options.map(Number);

    return numbers.reduce((prev, curr) => {
        return Math.abs(curr - target) < Math.abs(prev - target) ? curr : prev;
    }, numbers[0]);
}